<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('annotated.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the classes, structs, unions and interfaces with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><b>cpptempl</b></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_data.html" target="_self">Data</a></td><td class="desc"></td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_1_" class="arrow" onclick="toggleFolder('0_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1data__map.html" target="_self">data_map</a></td><td class="desc"></td></tr>
<tr id="row_0_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1data__map_1_1key__error.html" target="_self">key_error</a></td><td class="desc"></td></tr>
<tr id="row_0_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1data__ptr.html" target="_self">data_ptr</a></td><td class="desc"></td></tr>
<tr id="row_0_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_data_bool.html" target="_self">DataBool</a></td><td class="desc"></td></tr>
<tr id="row_0_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_data_int.html" target="_self">DataInt</a></td><td class="desc"></td></tr>
<tr id="row_0_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_data_list.html" target="_self">DataList</a></td><td class="desc"></td></tr>
<tr id="row_0_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_data_map.html" target="_self">DataMap</a></td><td class="desc"></td></tr>
<tr id="row_0_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_data_template.html" target="_self">DataTemplate</a></td><td class="desc"></td></tr>
<tr id="row_0_8_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_data_value.html" target="_self">DataValue</a></td><td class="desc"></td></tr>
<tr id="row_0_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classcpptempl_1_1_template_exception.html" target="_self">TemplateException</a></td><td class="desc"></td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><b>erpcgen</b></td><td class="desc"></td></tr>
<tr id="row_1_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_alias_type.html" target="_self">AliasType</a></td><td class="desc">Typedef </td></tr>
<tr id="row_1_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_annotation.html" target="_self">Annotation</a></td><td class="desc"><a class="el" href="classerpcgen_1_1_annotation.html" title="Annotation class. ">Annotation</a> class </td></tr>
<tr id="row_1_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_array_type.html" target="_self">ArrayType</a></td><td class="desc">Fixed length array of any other data type </td></tr>
<tr id="row_1_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_ast_node.html" target="_self">AstNode</a></td><td class="desc">Homogeneous AST node class </td></tr>
<tr id="row_1_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_ast_printer.html" target="_self">AstPrinter</a></td><td class="desc">Dumps an AST tree </td></tr>
<tr id="row_1_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_5_" class="arrow" onclick="toggleFolder('1_5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_ast_walker.html" target="_self">AstWalker</a></td><td class="desc">Performs a depth-first walk of an AST </td></tr>
<tr id="row_1_5_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1bottom__up" target="_self">bottom_up</a></td><td class="desc">Specifier type to select bottom-up handler using ADL </td></tr>
<tr id="row_1_5_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_ast_walker.html#structerpcgen_1_1_ast_walker_1_1top__down" target="_self">top_down</a></td><td class="desc">Specifier type to select top-down handler using ADL </td></tr>
<tr id="row_1_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_builtin_type.html" target="_self">BuiltinType</a></td><td class="desc">Represents the builtin atomic types </td></tr>
<tr id="row_1_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_c_generator.html" target="_self">CGenerator</a></td><td class="desc">Code generator for C </td></tr>
<tr id="row_1_8_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_const_type.html" target="_self">ConstType</a></td><td class="desc">Const class </td></tr>
<tr id="row_1_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_current_file_info.html" target="_self">CurrentFileInfo</a></td><td class="desc">This class contains necessary information about analysed file </td></tr>
<tr id="row_1_10_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_data_type.html" target="_self">DataType</a></td><td class="desc">Base class for data types </td></tr>
<tr id="row_1_11_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_enum_member.html" target="_self">EnumMember</a></td><td class="desc">Member of a enum </td></tr>
<tr id="row_1_12_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_enum_type.html" target="_self">EnumType</a></td><td class="desc">Enumerate data type </td></tr>
<tr id="row_1_13_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1erpc__error.html" target="_self">erpc_error</a></td><td class="desc"></td></tr>
<tr id="row_1_14_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1erpcgen_tool.html" target="_self">erpcgenTool</a></td><td class="desc">Class that encapsulates the erpcgen tool </td></tr>
<tr id="row_1_15_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_erpc_lexer.html" target="_self">ErpcLexer</a></td><td class="desc">Lexical scanner class for erpcgen interface files </td></tr>
<tr id="row_1_16_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_function.html" target="_self">Function</a></td><td class="desc"><a class="el" href="classerpcgen_1_1_function.html" title="Function declaration. ">Function</a> declaration </td></tr>
<tr id="row_1_17_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_generator.html" target="_self">Generator</a></td><td class="desc">Abstract code generator base class </td></tr>
<tr id="row_1_18_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_interface.html" target="_self">Interface</a></td><td class="desc">An interface that contains functions </td></tr>
<tr id="row_1_19_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_interface_definition.html" target="_self">InterfaceDefinition</a></td><td class="desc">Collects all definitions from an IDL </td></tr>
<tr id="row_1_20_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1internal__error.html" target="_self">internal_error</a></td><td class="desc">Exception class for internal errors </td></tr>
<tr id="row_1_21_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1lexical__error.html" target="_self">lexical_error</a></td><td class="desc">Exception class for lexical errors </td></tr>
<tr id="row_1_22_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_list_type.html" target="_self">ListType</a></td><td class="desc">Variable length list of another data type </td></tr>
<tr id="row_1_23_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_program.html" target="_self">Program</a></td><td class="desc"><a class="el" href="classerpcgen_1_1_program.html" title="Program declaration. ">Program</a> declaration </td></tr>
<tr id="row_1_24_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_python_generator.html" target="_self">PythonGenerator</a></td><td class="desc">Code generator for Python </td></tr>
<tr id="row_1_25_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1semantic__error.html" target="_self">semantic_error</a></td><td class="desc">Exception class for semantic errors </td></tr>
<tr id="row_1_26_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_struct_member.html" target="_self">StructMember</a></td><td class="desc">Member of a struct </td></tr>
<tr id="row_1_27_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_struct_type.html" target="_self">StructType</a></td><td class="desc">Structure data type </td></tr>
<tr id="row_1_28_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_symbol.html" target="_self">Symbol</a></td><td class="desc">Base class for all named declarations in the IDL </td></tr>
<tr id="row_1_29_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_symbol_scanner.html" target="_self">SymbolScanner</a></td><td class="desc">Scans for symbol names </td></tr>
<tr id="row_1_30_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_30_" class="arrow" onclick="toggleFolder('1_30_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_symbol_scope.html" target="_self">SymbolScope</a></td><td class="desc">A scoped namespace containing symbols </td></tr>
<tr id="row_1_30_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_symbol_scope_1_1typed__iterator.html" target="_self">typed_iterator</a></td><td class="desc"></td></tr>
<tr id="row_1_31_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1syntax__error.html" target="_self">syntax_error</a></td><td class="desc">Exception class for syntax errors </td></tr>
<tr id="row_1_32_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1syntax__error2.html" target="_self">syntax_error2</a></td><td class="desc"></td></tr>
<tr id="row_1_33_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_token.html" target="_self">Token</a></td><td class="desc">Encapsulates all information about a token </td></tr>
<tr id="row_1_34_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structerpcgen_1_1token__loc__t.html" target="_self">token_loc_t</a></td><td class="desc"><a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a> location in the source file </td></tr>
<tr id="row_1_35_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_union_case.html" target="_self">UnionCase</a></td><td class="desc">Discriminated union case type </td></tr>
<tr id="row_1_36_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_union_type.html" target="_self">UnionType</a></td><td class="desc">Discriminated union data type </td></tr>
<tr id="row_1_37_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_unique_id_checker.html" target="_self">UniqueIdChecker</a></td><td class="desc">Add ids to interfaces and functions </td></tr>
<tr id="row_1_38_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classerpcgen_1_1_void_type.html" target="_self">VoidType</a></td><td class="desc">Void data type </td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_float_value.html" target="_self">FloatValue</a></td><td class="desc">Double floating point value </td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_integer_value.html" target="_self">IntegerValue</a></td><td class="desc">32-bit unsigned integer value </td></tr>
<tr id="row_4_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_4_" class="arrow" onclick="toggleFolder('4_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_log.html" target="_self">Log</a></td><td class="desc">Wraps a set of static functions for easy global logging access </td></tr>
<tr id="row_4_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_log_1_1_set_output_level.html" target="_self">SetOutputLevel</a></td><td class="desc">Utility class to temporarily change the logging output level </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_logger.html" target="_self">Logger</a></td><td class="desc">Base logger class </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_opt_argv_iter.html" target="_self">OptArgvIter</a></td><td class="desc"></td></tr>
<tr id="row_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_options.html" target="_self">Options</a></td><td class="desc">Parse command-line options </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_option_spec.html" target="_self">OptionSpec</a></td><td class="desc"></td></tr>
<tr id="row_9_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_opt_istream_iter.html" target="_self">OptIstreamIter</a></td><td class="desc"></td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_opt_iter.html" target="_self">OptIter</a></td><td class="desc"></td></tr>
<tr id="row_11_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_opt_iter_rwd.html" target="_self">OptIterRwd</a></td><td class="desc"></td></tr>
<tr id="row_12_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_opt_str_tok_iter.html" target="_self">OptStrTokIter</a></td><td class="desc"></td></tr>
<tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_path_searcher.html" target="_self">PathSearcher</a></td><td class="desc">Handles searching a list of paths for a file </td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_sized_integer_value.html" target="_self">SizedIntegerValue</a></td><td class="desc">Adds a word size attribute to <a class="el" href="class_integer_value.html" title="32-bit unsigned integer value. ">IntegerValue</a> </td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classsmart__ptr.html" target="_self">smart_ptr</a></td><td class="desc">Simple, standard smart pointer class </td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structsmart__ptr__delete.html" target="_self">smart_ptr_delete</a></td><td class="desc">Delete policy for regular objects </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structsmart__ptr__delete__array.html" target="_self">smart_ptr_delete_array</a></td><td class="desc">Delete policy for arrays </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structsmart__ptr__free.html" target="_self">smart_ptr_free</a></td><td class="desc">Delete policy using free() to delete objects </td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_stdout_logger.html" target="_self">StdoutLogger</a></td><td class="desc">Simple logger that writes to stdout and stderr </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_string_value.html" target="_self">StringValue</a></td><td class="desc">String value </td></tr>
<tr id="row_21_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_value.html" target="_self">Value</a></td><td class="desc">Abstract base class for values of arbitrary types </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
